-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               10.6.5-MariaDB - mariadb.org binary distribution
-- Server OS:                    Win64
-- HeidiSQL Version:             11.3.0.6295
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- Dumping structure for table rc_0212.accounts
CREATE TABLE IF NOT EXISTS `accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(40) NOT NULL,
  `password` varchar(129) NOT NULL,
  `password_salt` varchar(17) NOT NULL,
  `date_created` int(11) NOT NULL COMMENT 'unix timestamp',
  `access` int(11) NOT NULL COMMENT '0=basic 3=advocate 4=sentinel 6=admin',
  `created_ip_address` varchar(64) NOT NULL,
  `email` varchar(64) NOT NULL,
  `emailsetused` bit(1) NOT NULL DEFAULT b'0',
  `banned` tinyint(4) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=41122 DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.account_ips
CREATE TABLE IF NOT EXISTS `account_ips` (
  `account_id` bigint(20) unsigned NOT NULL,
  `logged_in_ip` varchar(64) NOT NULL,
  `login_ts` int(11) DEFAULT NULL,
  `logout_ts` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for procedure rc_0212.blob_update_house
DELIMITER //
CREATE PROCEDURE `blob_update_house`(







	IN `houseId` INT,







	IN `houseData` MEDIUMBLOB







)
BEGIN















INSERT INTO houses (house_id, DATA)







    VALUES (houseId, houseData)







    ON DUPLICATE KEY UPDATE







        DATA=houseData;







END//
DELIMITER ;

-- Dumping structure for procedure rc_0212.blob_update_weenie
DELIMITER //
CREATE PROCEDURE `blob_update_weenie`(







	IN `weenieId` INT(11) UNSIGNED,







	IN `topLevelId` INT(11) UNSIGNED,







	IN `blockId` INT(11) UNSIGNED,







	IN `weenieData` MEDIUMBLOB































,







	IN `weeniets` INT







)
BEGIN















DECLARE new_hash VARCHAR(32);







DECLARE old_hash VARCHAR(32);























IF NOT EXISTS (SELECT id FROM weenies WHERE id = weenieId) THEN







	INSERT INTO weenies (id, top_level_object_id, block_id, DATA, weenie_ts)







   	 VALUES (weenieId, topLevelId, blockId, weenieData, weeniets);







ELSE







	SET new_hash = MD5(MID(weenieData, 9, LENGTH(weenieData)-8));







	SELECT MD5(MID(`DATA`, 9, LENGTH(`DATA`)-8)) INTO old_hash FROM weenies WHERE id = weenieId;







	IF new_hash <> old_hash THEN







		UPDATE weenies







			SET top_level_object_id = topLevelId, block_id = blockId, `DATA` = weenieData, weenie_ts=weeniets







			WHERE id = weenieId;







   END IF;







END IF;















END//
DELIMITER ;

-- Dumping structure for table rc_0212.blocks
CREATE TABLE IF NOT EXISTS `blocks` (
  `block_id` int(10) unsigned NOT NULL,
  `weenie_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`weenie_id`),
  KEY `block_id` (`block_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.blocks2
CREATE TABLE IF NOT EXISTS `blocks2` (
  `block_id` int(10) unsigned NOT NULL,
  `weenie_id` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.characters
CREATE TABLE IF NOT EXISTS `characters` (
  `account_id` int(11) NOT NULL,
  `weenie_id` int(10) unsigned NOT NULL,
  `name` varchar(64) NOT NULL,
  `date_created` int(11) NOT NULL,
  `instance_ts` int(11) NOT NULL,
  `ts_deleted` int(11) NOT NULL DEFAULT 0,
  `ts_login` int(11) NOT NULL DEFAULT 0,
  `gag_timer` int(11) DEFAULT 0,
  `gag_count` int(11) DEFAULT 0,
  UNIQUE KEY `weenie_id` (`weenie_id`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.character_corpses
CREATE TABLE IF NOT EXISTS `character_corpses` (
  `character_id` int(10) unsigned NOT NULL,
  `corpses` varchar(4096) DEFAULT NULL,
  PRIMARY KEY (`character_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.character_friends
CREATE TABLE IF NOT EXISTS `character_friends` (
  `character_id` int(10) unsigned NOT NULL,
  `friend_type` int(10) unsigned NOT NULL,
  `friend_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`character_id`,`friend_type`,`friend_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.character_squelch
CREATE TABLE IF NOT EXISTS `character_squelch` (
  `character_id` int(10) unsigned NOT NULL DEFAULT 0,
  `squelched_id` int(10) unsigned NOT NULL DEFAULT 0,
  `account_id` int(10) unsigned NOT NULL DEFAULT 0,
  `isip` bit(1) DEFAULT b'0',
  `isspeech` bit(1) DEFAULT b'0',
  `istell` bit(1) DEFAULT b'0',
  `iscombat` bit(1) DEFAULT b'0',
  `ismagic` bit(1) DEFAULT b'0',
  `isemote` bit(1) DEFAULT b'0',
  `isadvancement` bit(1) DEFAULT b'0',
  `isappraisal` bit(1) DEFAULT b'0',
  `isspellcasting` bit(1) DEFAULT b'0',
  `isallegiance` bit(1) DEFAULT b'0',
  `isfellowhip` bit(1) DEFAULT b'0',
  `iscombatenemy` bit(1) DEFAULT b'0',
  `isrecall` bit(1) DEFAULT b'0',
  `iscrafting` bit(1) DEFAULT b'0',
  PRIMARY KEY (`character_id`,`squelched_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.character_titles
CREATE TABLE IF NOT EXISTS `character_titles` (
  `character_id` int(10) unsigned NOT NULL,
  `titles` varchar(4096) DEFAULT NULL,
  PRIMARY KEY (`character_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.character_windowdata
CREATE TABLE IF NOT EXISTS `character_windowdata` (
  `character_id` int(11) NOT NULL DEFAULT 0,
  `bloblength` int(11) DEFAULT NULL,
  `windowblob` blob DEFAULT NULL,
  PRIMARY KEY (`character_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.config
CREATE TABLE IF NOT EXISTS `config` (
  `setting` varchar(50) NOT NULL,
  `runtime` varchar(50) DEFAULT NULL,
  `base` varchar(50) NOT NULL,
  `gameuse` varchar(500) NOT NULL,
  UNIQUE KEY `setting` (`setting`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.globals
CREATE TABLE IF NOT EXISTS `globals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` longblob NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.houses
CREATE TABLE IF NOT EXISTS `houses` (
  `house_id` int(11) NOT NULL AUTO_INCREMENT,
  `data` longblob NOT NULL,
  PRIMARY KEY (`house_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6251 DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.speldump
CREATE TABLE IF NOT EXISTS `speldump` (
  `spellid` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `family` int(11) DEFAULT NULL,
  `familyoverride` int(11) DEFAULT NULL,
  `words` varchar(50) DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  `diff` int(11) DEFAULT NULL,
  `isfellow` int(11) DEFAULT NULL,
  `isoff` int(11) DEFAULT NULL,
  `isunterget` int(11) DEFAULT NULL,
  `isinstant` int(11) DEFAULT NULL,
  `schoolid` int(11) DEFAULT NULL,
  `turnto` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.spelldata
CREATE TABLE IF NOT EXISTS `spelldata` (
  `spellid` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `diff` int(11) DEFAULT NULL,
  `mana` int(11) DEFAULT NULL,
  `targetType` int(11) DEFAULT NULL,
  `descriptor` varchar(50) DEFAULT NULL,
  `nodescentry` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.teletowns
CREATE TABLE IF NOT EXISTS `teletowns` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(50) NOT NULL,
  `Command` varchar(50) NOT NULL,
  `Landblock` varchar(50) NOT NULL,
  `Position_X` varchar(50) NOT NULL,
  `Position_Y` varchar(50) NOT NULL,
  `Position_Z` varchar(50) NOT NULL,
  `Orientation_W` varchar(50) NOT NULL,
  `Orientation_X` varchar(50) NOT NULL,
  `Orientation_Y` varchar(50) NOT NULL,
  `Orientation_Z` varchar(50) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_aetheriawcid
CREATE TABLE IF NOT EXISTS `treasure_aetheriawcid` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` decimal(20,6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_armorelementresistances
CREATE TABLE IF NOT EXISTS `treasure_armorelementresistances` (
  `quallevel` int(11) DEFAULT NULL,
  `min` double DEFAULT NULL,
  `max` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_armorsetdist
CREATE TABLE IF NOT EXISTS `treasure_armorsetdist` (
  `setid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_armortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_armortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `armorsubtable` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_arttreasuretable
CREATE TABLE IF NOT EXISTS `treasure_arttreasuretable` (
  `tier` int(11) NOT NULL,
  `wcid` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_atlatlweapons
CREATE TABLE IF NOT EXISTS `treasure_atlatlweapons` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_attackdefensequalmod
CREATE TABLE IF NOT EXISTS `treasure_attackdefensequalmod` (
  `quallevel` int(11) DEFAULT NULL,
  `min` double DEFAULT NULL,
  `max` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_axeh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_axeh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_axeh2sho
CREATE TABLE IF NOT EXISTS `treasure_axeh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_axeh3gharumdum
CREATE TABLE IF NOT EXISTS `treasure_axeh3gharumdum` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_axeh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_axeh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_basearmorpalette
CREATE TABLE IF NOT EXISTS `treasure_basearmorpalette` (
  `type` int(11) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_bootarmorpalette
CREATE TABLE IF NOT EXISTS `treasure_bootarmorpalette` (
  `type` int(11) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_bowh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_bowh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_bowh2sho
CREATE TABLE IF NOT EXISTS `treasure_bowh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_bowh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_bowh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_bowh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_bowh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantriparmordist
CREATE TABLE IF NOT EXISTS `treasure_cantriparmordist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripcasterdist
CREATE TABLE IF NOT EXISTS `treasure_cantripcasterdist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripjewelrydist
CREATE TABLE IF NOT EXISTS `treasure_cantripjewelrydist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantriplevelchances
CREATE TABLE IF NOT EXISTS `treasure_cantriplevelchances` (
  `tier` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantriplevelprogression
CREATE TABLE IF NOT EXISTS `treasure_cantriplevelprogression` (
  `minor` int(11) DEFAULT NULL,
  `major` int(11) DEFAULT NULL,
  `epic` int(11) DEFAULT NULL,
  `lego` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripmeleedist
CREATE TABLE IF NOT EXISTS `treasure_cantripmeleedist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripmissiledist
CREATE TABLE IF NOT EXISTS `treasure_cantripmissiledist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripshielddist
CREATE TABLE IF NOT EXISTS `treasure_cantripshielddist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cantripspertiertable
CREATE TABLE IF NOT EXISTS `treasure_cantripspertiertable` (
  `tier` int(11) DEFAULT NULL,
  `count` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_casternetherspells
CREATE TABLE IF NOT EXISTS `treasure_casternetherspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_casterwarspells
CREATE TABLE IF NOT EXISTS `treasure_casterwarspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_casterweapons
CREATE TABLE IF NOT EXISTS `treasure_casterweapons` (
  `tier` int(11) NOT NULL,
  `wcid` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_casterweaponspells
CREATE TABLE IF NOT EXISTS `treasure_casterweaponspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_chainmailarmortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_chainmailarmortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cloakleveldist
CREATE TABLE IF NOT EXISTS `treasure_cloakleveldist` (
  `tier` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cloaksetdist
CREATE TABLE IF NOT EXISTS `treasure_cloaksetdist` (
  `setid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cloakspelldist
CREATE TABLE IF NOT EXISTS `treasure_cloakspelldist` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_cloaktreasuredist
CREATE TABLE IF NOT EXISTS `treasure_cloaktreasuredist` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_clothingh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_clothingh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_clothingh2sho
CREATE TABLE IF NOT EXISTS `treasure_clothingh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_clothingh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_clothingh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_clothingh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_clothingh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_clothingpalette
CREATE TABLE IF NOT EXISTS `treasure_clothingpalette` (
  `type` int(11) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_coindrops
CREATE TABLE IF NOT EXISTS `treasure_coindrops` (
  `tier` int(11) NOT NULL,
  `low` int(11) NOT NULL,
  `high` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_consumabletreasuretable
CREATE TABLE IF NOT EXISTS `treasure_consumabletreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_covenanttreasuretable
CREATE TABLE IF NOT EXISTS `treasure_covenanttreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_crossbowweapons
CREATE TABLE IF NOT EXISTS `treasure_crossbowweapons` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_daggerh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_daggerh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_daggerh2sho
CREATE TABLE IF NOT EXISTS `treasure_daggerh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_daggerh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_daggerh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_daggerh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_daggerh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_deathtreasure
CREATE TABLE IF NOT EXISTS `treasure_deathtreasure` (
  `id` int(11) NOT NULL,
  `tier` int(11) NOT NULL,
  `qualmod` double NOT NULL,
  `heritagedist` int(11) NOT NULL,
  `itemchance` int(11) NOT NULL,
  `itemmin` int(11) NOT NULL,
  `itemmax` int(11) NOT NULL,
  `itemtable` int(11) NOT NULL,
  `magicchance` int(11) NOT NULL,
  `magicmin` int(11) NOT NULL,
  `magicmax` int(11) NOT NULL,
  `magictable` int(11) NOT NULL,
  `mundanechance` int(11) NOT NULL,
  `mundanemin` int(11) NOT NULL,
  `mundanemax` int(11) NOT NULL,
  `mundanetable` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_empyreanarmortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_empyreanarmortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_encumbrancemodchance
CREATE TABLE IF NOT EXISTS `treasure_encumbrancemodchance` (
  `quallevel` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL,
  `min` double DEFAULT NULL,
  `max` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_finesseweaponsdist
CREATE TABLE IF NOT EXISTS `treasure_finesseweaponsdist` (
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_fooddrinkwcid
CREATE TABLE IF NOT EXISTS `treasure_fooddrinkwcid` (
  `tier` int(11) NOT NULL,
  `wcid` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_gemclassbytier
CREATE TABLE IF NOT EXISTS `treasure_gemclassbytier` (
  `tier` int(11) DEFAULT NULL,
  `gemclass` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_gemclassvalues
CREATE TABLE IF NOT EXISTS `treasure_gemclassvalues` (
  `class` int(11) DEFAULT NULL,
  `value` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_gemcodedisttable
CREATE TABLE IF NOT EXISTS `treasure_gemcodedisttable` (
  `group` int(11) DEFAULT NULL,
  `tier` int(11) DEFAULT NULL,
  `count` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_gemtreasuretable
CREATE TABLE IF NOT EXISTS `treasure_gemtreasuretable` (
  `class` int(11) NOT NULL,
  `material` int(11) NOT NULL,
  `chance` double NOT NULL,
  `wcid` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_groupitemdist
CREATE TABLE IF NOT EXISTS `treasure_groupitemdist` (
  `itemtable` int(11) NOT NULL,
  `treasureitemtable` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_groupmagicdist
CREATE TABLE IF NOT EXISTS `treasure_groupmagicdist` (
  `itemtable` int(11) NOT NULL,
  `treasureitemtable` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_groupmundanedist
CREATE TABLE IF NOT EXISTS `treasure_groupmundanedist` (
  `itemtable` int(11) NOT NULL,
  `treasureitemtable` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_healkittreasuretable
CREATE TABLE IF NOT EXISTS `treasure_healkittreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heavyweaponsdist
CREATE TABLE IF NOT EXISTS `treasure_heavyweaponsdist` (
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagehigh1armoraluvian
CREATE TABLE IF NOT EXISTS `treasure_heritagehigh1armoraluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagehigh2armorsho
CREATE TABLE IF NOT EXISTS `treasure_heritagehigh2armorsho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagehigh3armorghardundim
CREATE TABLE IF NOT EXISTS `treasure_heritagehigh3armorghardundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagehigh4armorviamontian
CREATE TABLE IF NOT EXISTS `treasure_heritagehigh4armorviamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagelow1armoraluvian
CREATE TABLE IF NOT EXISTS `treasure_heritagelow1armoraluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagelow2armorsho
CREATE TABLE IF NOT EXISTS `treasure_heritagelow2armorsho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagelow3armorgharundim
CREATE TABLE IF NOT EXISTS `treasure_heritagelow3armorgharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagelow4armorviamontian
CREATE TABLE IF NOT EXISTS `treasure_heritagelow4armorviamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_heritagetable
CREATE TABLE IF NOT EXISTS `treasure_heritagetable` (
  `dist` int(11) DEFAULT NULL,
  `heritage` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_itembanespells
CREATE TABLE IF NOT EXISTS `treasure_itembanespells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_jewelrytreasuretable
CREATE TABLE IF NOT EXISTS `treasure_jewelrytreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_leatherarmortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_leatherarmortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_lightweaponsdist
CREATE TABLE IF NOT EXISTS `treasure_lightweaponsdist` (
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_lockpicktreasuretable
CREATE TABLE IF NOT EXISTS `treasure_lockpicktreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_maceh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_maceh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_maceh2sho
CREATE TABLE IF NOT EXISTS `treasure_maceh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_maceh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_maceh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_maceh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_maceh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_manastonetreasuretable
CREATE TABLE IF NOT EXISTS `treasure_manastonetreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialceramic
CREATE TABLE IF NOT EXISTS `treasure_materialceramic` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialcloth
CREATE TABLE IF NOT EXISTS `treasure_materialcloth` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialcodedisttable
CREATE TABLE IF NOT EXISTS `treasure_materialcodedisttable` (
  `group` int(11) DEFAULT NULL,
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialcolordist
CREATE TABLE IF NOT EXISTS `treasure_materialcolordist` (
  `material` int(11) DEFAULT NULL,
  `group` int(11) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialgem
CREATE TABLE IF NOT EXISTS `treasure_materialgem` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialleather
CREATE TABLE IF NOT EXISTS `treasure_materialleather` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialmetal
CREATE TABLE IF NOT EXISTS `treasure_materialmetal` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialmod
CREATE TABLE IF NOT EXISTS `treasure_materialmod` (
  `material` int(11) DEFAULT NULL,
  `multiplier` double DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialstone
CREATE TABLE IF NOT EXISTS `treasure_materialstone` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialvaluemultiplier
CREATE TABLE IF NOT EXISTS `treasure_materialvaluemultiplier` (
  `material` int(11) DEFAULT NULL,
  `multiplier` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_materialwood
CREATE TABLE IF NOT EXISTS `treasure_materialwood` (
  `tier` int(11) DEFAULT NULL,
  `material` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_meleecantripspellchance
CREATE TABLE IF NOT EXISTS `treasure_meleecantripspellchance` (
  `spellid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_meleeenchantspellchance
CREATE TABLE IF NOT EXISTS `treasure_meleeenchantspellchance` (
  `spellid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_meleeweaponspells
CREATE TABLE IF NOT EXISTS `treasure_meleeweaponspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_metalarmorpalette
CREATE TABLE IF NOT EXISTS `treasure_metalarmorpalette` (
  `type` int(11) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_missileweaponspells
CREATE TABLE IF NOT EXISTS `treasure_missileweaponspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_mutatefilter
CREATE TABLE IF NOT EXISTS `treasure_mutatefilter` (
  `id` int(11) DEFAULT NULL,
  `qualtype` int(11) DEFAULT NULL,
  `qualid` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_olthoiarmortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_olthoiarmortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_orbspells
CREATE TABLE IF NOT EXISTS `treasure_orbspells` (
  `tier` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_peatreasuretable
CREATE TABLE IF NOT EXISTS `treasure_peatreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_petessencedist
CREATE TABLE IF NOT EXISTS `treasure_petessencedist` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_platemailarmortreasuretable1
CREATE TABLE IF NOT EXISTS `treasure_platemailarmortreasuretable1` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_platemailarmortreasuretable2
CREATE TABLE IF NOT EXISTS `treasure_platemailarmortreasuretable2` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_platemailarmortreasuretable3
CREATE TABLE IF NOT EXISTS `treasure_platemailarmortreasuretable3` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_platemailarmortreasuretable4
CREATE TABLE IF NOT EXISTS `treasure_platemailarmortreasuretable4` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_qualitylevels
CREATE TABLE IF NOT EXISTS `treasure_qualitylevels` (
  `tier` int(11) DEFAULT NULL,
  `quallevel` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_qualitymod
CREATE TABLE IF NOT EXISTS `treasure_qualitymod` (
  `qualmod` int(11) DEFAULT NULL,
  `1` double DEFAULT NULL,
  `2` double DEFAULT NULL,
  `3` double DEFAULT NULL,
  `4` double DEFAULT NULL,
  `5` double DEFAULT NULL,
  `6` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_rareitemdist
CREATE TABLE IF NOT EXISTS `treasure_rareitemdist` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_rareitemnames
CREATE TABLE IF NOT EXISTS `treasure_rareitemnames` (
  `rareid` int(11) DEFAULT NULL,
  `rarename` varchar(50) DEFAULT NULL,
  `isdefault` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_scrollleveldist
CREATE TABLE IF NOT EXISTS `treasure_scrollleveldist` (
  `tier` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_scrolltreasuretable
CREATE TABLE IF NOT EXISTS `treasure_scrolltreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_scrollwcidprogression
CREATE TABLE IF NOT EXISTS `treasure_scrollwcidprogression` (
  `level1` int(11) DEFAULT NULL,
  `level2` int(11) DEFAULT NULL,
  `level3` int(11) DEFAULT NULL,
  `level4` int(11) DEFAULT NULL,
  `level5` int(11) DEFAULT NULL,
  `level6` int(11) DEFAULT NULL,
  `level7` int(11) DEFAULT 0,
  `level8` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spearh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_spearh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spearh2sho
CREATE TABLE IF NOT EXISTS `treasure_spearh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spearh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_spearh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spearh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_spearh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spellcodedisttable
CREATE TABLE IF NOT EXISTS `treasure_spellcodedisttable` (
  `group` int(11) DEFAULT NULL,
  `spell` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spellcomponentwcids
CREATE TABLE IF NOT EXISTS `treasure_spellcomponentwcids` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spelldata
CREATE TABLE IF NOT EXISTS `treasure_spelldata` (
  `spellid` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `diff` int(11) DEFAULT NULL,
  `mana` int(11) DEFAULT NULL,
  `targetType` int(11) DEFAULT NULL,
  `descriptor` varchar(50) DEFAULT NULL,
  `nodescentry` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spelllevelchances
CREATE TABLE IF NOT EXISTS `treasure_spelllevelchances` (
  `tier` int(11) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_spelllevelprogression
CREATE TABLE IF NOT EXISTS `treasure_spelllevelprogression` (
  `lvl1` int(11) DEFAULT NULL,
  `lvl2` int(11) DEFAULT NULL,
  `lvl3` int(11) DEFAULT NULL,
  `lvl4` int(11) DEFAULT NULL,
  `lvl5` int(11) DEFAULT NULL,
  `lvl6` int(11) DEFAULT NULL,
  `lvl7` int(11) DEFAULT NULL,
  `lvl8` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_staffh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_staffh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_staffh2sho
CREATE TABLE IF NOT EXISTS `treasure_staffh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_staffh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_staffh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_staffh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_staffh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_studdedleatherarmortreasuretable
CREATE TABLE IF NOT EXISTS `treasure_studdedleatherarmortreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_swordh1aluvian
CREATE TABLE IF NOT EXISTS `treasure_swordh1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_swordh2sho
CREATE TABLE IF NOT EXISTS `treasure_swordh2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_swordh3gharundim
CREATE TABLE IF NOT EXISTS `treasure_swordh3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_swordh4viamontian
CREATE TABLE IF NOT EXISTS `treasure_swordh4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_treasureitemtable
CREATE TABLE IF NOT EXISTS `treasure_treasureitemtable` (
  `id` int(11) NOT NULL,
  `treasureitemname` varchar(50) NOT NULL,
  `rolltype` int(11) NOT NULL,
  `treasureitemtablename` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_twohandedweapons
CREATE TABLE IF NOT EXISTS `treasure_twohandedweapons` (
  `tier` int(11) NOT NULL,
  `wcid` int(11) NOT NULL,
  `chance` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_uah1aluvian
CREATE TABLE IF NOT EXISTS `treasure_uah1aluvian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_uah2sho
CREATE TABLE IF NOT EXISTS `treasure_uah2sho` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_uah3gharundim
CREATE TABLE IF NOT EXISTS `treasure_uah3gharundim` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_uah4viamontian
CREATE TABLE IF NOT EXISTS `treasure_uah4viamontian` (
  `tier` int(11) DEFAULT NULL,
  `wcid` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_weaponspeedlevel
CREATE TABLE IF NOT EXISTS `treasure_weaponspeedlevel` (
  `quallevel` int(11) DEFAULT NULL,
  `min` double DEFAULT NULL,
  `max` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_weapontreasuretable
CREATE TABLE IF NOT EXISTS `treasure_weapontreasuretable` (
  `tier` int(11) DEFAULT NULL,
  `weaponsubtable` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.treasure_workmanshipdist
CREATE TABLE IF NOT EXISTS `treasure_workmanshipdist` (
  `tier` int(11) DEFAULT NULL,
  `ws` int(11) DEFAULT NULL,
  `chance` double DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for procedure rc_0212.upgrade_gdle_gag
DELIMITER //
CREATE PROCEDURE `upgrade_gdle_gag`( )
BEGIN





DECLARE chargag TEXT;





SELECT column_name INTO chargag





FROM information_schema.columns





WHERE table_schema = 'gdle'





AND table_name = 'characters'





AND column_name = 'gag_timer';











IF chargag is null THEN





ALTER TABLE `characters`





ADD COLUMN `gag_timer` INT(11) NULL DEFAULT '0' AFTER `ts_login`,





ADD COLUMN `gag_count` INT(11) NULL DEFAULT '0' AFTER `gag_timer`;





END IF;











END//
DELIMITER ;

-- Dumping structure for view rc_0212.vwgetconfig
-- Creating temporary table to overcome VIEW dependency errors
CREATE TABLE `vwgetconfig` (
	`lcase(setting)` VARCHAR(50) NOT NULL COLLATE 'latin1_swedish_ci',
	`value` VARCHAR(50) NULL COLLATE 'latin1_swedish_ci'
) ENGINE=MyISAM;

-- Dumping structure for table rc_0212.wcidchanges
CREATE TABLE IF NOT EXISTS `wcidchanges` (
  `id` int(11) unsigned NOT NULL DEFAULT 0,
  `op` int(11) unsigned NOT NULL DEFAULT 0,
  `proptype` int(11) unsigned DEFAULT NULL,
  `propindex` int(11) unsigned DEFAULT NULL,
  `propvalue` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.wcidentries
CREATE TABLE IF NOT EXISTS `wcidentries` (
  `wcid` int(11) NOT NULL,
  `weeniename` varchar(50) NOT NULL,
  `tsysint` int(11) NOT NULL,
  `didmut` int(11) NOT NULL,
  `tsysdid` int(11) NOT NULL,
  PRIMARY KEY (`wcid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf16;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.weenierestore
CREATE TABLE IF NOT EXISTS `weenierestore` (
  `id` int(10) unsigned NOT NULL,
  `top_level_object_id` int(10) unsigned NOT NULL,
  `block_id` int(10) unsigned NOT NULL,
  `data` mediumblob NOT NULL,
  `weenie_ts` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `top_level_object_id` (`top_level_object_id`) USING BTREE,
  KEY `block_id` (`block_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for table rc_0212.weenies
CREATE TABLE IF NOT EXISTS `weenies` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `top_level_object_id` int(10) unsigned NOT NULL,
  `block_id` int(10) unsigned NOT NULL,
  `data` mediumblob NOT NULL,
  `weenie_ts` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `top_level_object_id` (`top_level_object_id`) USING BTREE,
  KEY `block_id` (`block_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4254741715 DEFAULT CHARSET=latin1;

-- Data exporting was unselected.

-- Dumping structure for view rc_0212.vwgetconfig
-- Removing temporary table and create final VIEW structure
DROP TABLE IF EXISTS `vwgetconfig`;
CREATE ALGORITHM=UNDEFINED SQL SECURITY DEFINER VIEW `vwgetconfig` AS select lcase(`config`.`setting`) AS `lcase(setting)`,coalesce(`config`.`runtime`,`config`.`base`,0) AS `value` from `config` ;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IFNULL(@OLD_FOREIGN_KEY_CHECKS, 1) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40111 SET SQL_NOTES=IFNULL(@OLD_SQL_NOTES, 1) */;

/*!40000 ALTER TABLE `teletowns` DISABLE KEYS */;
REPLACE INTO `teletowns` (`ID`, `Description`, `Command`, `Landblock`, `Position_X`, `Position_Y`, `Position_Z`, `Orientation_W`, `Orientation_X`, `Orientation_Y`, `Orientation_Z`) VALUES
	(1, 'Teletown - Aerlinthe', 'Aerlinthe Island', 'BAE8001D', '42A80000', '42D20000', '41D00A3D', '00000000', '00000000', '00000000', 'BF800000'),
	(2, 'Teletown - Ahurenga', 'Ahurenga', '0FB90009', '422C0000', '4109999A', '3BA3D70A', 'BF7AE7B4', '00000000', '00000000', 'BE4B46FE'),
	(3, 'Teletown - Al-Arqas', 'Al-Arqas', '8F58003B', '4337D9DB', '4270BB64', '411536F4', '3F3504F7', '00000000', '00000000', 'BF3504F7'),
	(4, 'Teletown - Al-Jalima', 'Al-Jalima', '8588002C', '42F0B7CF', '42BEF0A4', '42B4192C', '3F800000', '00000000', '00000000', '00000000'),
	(5, 'Teletown - Arwic', 'Arwic', 'C6A90009', '423B3852', '4087020C', '4228051F', '3F800000', '00000000', '00000000', '00000000'),
	(6, 'Teletown - Ayan Baqur', 'Ayan Baqur', '11340025', '42C79EE7', '42D7D1C7', '4228051F', '3F3603A3', '00000000', '00000000', 'BF3404DA'),
	(7, 'Teletown - Baishi', 'Baishi', 'CE410007', '4149999A', '4318CCCD', '425C3852', 'BF0B6D76', '00000000', '00000000', 'BF56B325'),
	(8, 'Teletown - Bandit Castle', 'Bandit Castle', 'BDD00006', '41873333', '42F10000', '42E63333', '3F3504F7', '00000000', '00000000', 'BF3504F7'),
	(9, 'Teletown - Beach Fort', 'Beach Fort', '42DE000C', '41C80000', '42A90000', '3BA3D70A', 'BF2E976C', '00000000', '00000000', 'BF3B3A04'),
	(10, 'Teletown - Bluespire', 'Bluespire', '21B00017', '4240C28F', '4325E3D7', '3BA3D70A', 'BDAB3F64', '00000000', '00000000', 'BF7F1A7E'),
	(11, 'Teletown - Candeth Keep', 'Candeth Keep', '2B11003D', '433D2358', '42C59A27', '4240051F', 'BF6DE29B', '00000000', '00000000', 'BEBD2C38'),
	(12, 'Teletown - Cragstone', 'Cragstone', 'BB9F0040', '43295BA6', '43284042', '4258051F', '3F142492', '00000000', '00000000', 'BF50C804'),
	(13, 'Teletown - Crater Lake Village', 'Mt Esper-Crater Village', '90D00107', '42BF0AC1', '42A80000', '438A9A3D', 'BF3504F7', '00000000', '00000000', 'BF3504F7'),
	(14, 'Teletown - Danby\'s Outpost', 'Danby\'s Outpost', '5A9C0004', '41BC0000', '429A3333', '40C028F6', '00000000', '00000000', '00000000', 'BF800000'),
	(15, 'Teletown - Dryreach', 'Dryreach', 'DB75003B', '433A0000', '42820000', '42100000', 'BF400000', '00000000', '00000000', '3F266666'),
	(16, 'Teletown - Eastham', 'Eastham', 'CE940035', '43170D91', '42E13852', '418B5687', 'BF6FC383', '00000000', '00000000', 'BEB36FA0'),
	(17, 'Teletown - Fort Tethana', 'Fort Tethana', '2681001D', '429B6666', '42D83333', '43700147', 'BF05C26E', '00000000', '00000000', 'BF5A469D'),
	(18, 'Teletown - Glenden Wood', 'Glenden Wood', 'A0A40025', '42C09AA0', '42EFB1AA', '426FD194', '3F3504F7', '00000000', '00000000', 'BF3504F7'),
	(19, 'Teletown - Greenspire', 'Greenspire', '2BB5003C', '4332F53F', '42AD23D7', '3BA3D70A', '3EB466F5', '00000000', '00000000', 'BF6F951C'),
	(20, 'Teletown - Hebian-to', 'Hebian-to', 'E64E002F', '430A4DD3', '4321E7AE', '41A05194', '3F6C8366', '00000000', '00000000', 'BEC3EF07'),
	(21, 'Teletown - Holtburg', 'Holtburg', 'A9B40019', '42A80000', '40E33333', '42BC0290', '3F7F35F4', '00000000', '00000000', 'BDA0AF1D'),
	(22, 'Teletown - Kara', 'Kara', 'BA170039', '43353333', '404CCCCD', '43279AE1', 'BF5919AC', '00000000', '00000000', 'BF07A8C6'),
	(23, 'Teletown - Khayyaban', 'Khayyaban', '9F44001A', '42B40000', '41C46C8B', '4212344F', 'BF4858FF', '00000000', '00000000', 'BF1F5D25'),
	(24, 'Teletown - Kryst', 'Kryst', 'E822002A', '4304B333', '4217999A', '41A0D70B', 'BF5DB3D0', '00000000', '00000000', 'BF000000'),
	(25, 'Teletown - Lin', 'Lin', 'DC3C0011', '426EE148', '412C624E', '419069D0', 'BEB77C03', '00000000', '00000000', 'BF6EFF19'),
	(26, 'Teletown - Linvak Tukal', 'Linvak Tukal', 'A21E001A', '42A60000', '42180000', '440C1733', '3F800000', '00000000', '00000000', '00000000'),
	(27, 'Teletown - Lytelthorpe', 'Lytelthorpe', 'C0800007', '413B9168', '431B8F5C', '42041CC2', 'BECE0286', '00000000', '00000000', 'BF6A5CE6'),
	(28, 'Teletown - MacNiall\'s Freehold', 'MacNiall\'s Freehold', 'F224001A', '42A3999A', '42040000', '3BA3D70A', '3E76DC5D', '00000000', '00000000', 'BF787326'),
	(29, 'Teletown - Mayoi', 'Mayoi', 'E6320021', '42D6D581', '412C353F', '41EF433E', 'BF248DC1', '00000000', '00000000', 'BF441B76'),
	(30, 'Teletown - Nanto', 'Nanto', 'E63E0022', '42C1EB85', '4216E354', '42952625', '00000000', '00000000', '00000000', 'BF800000'),
	(31, 'Teletown - Neydisa', 'Neydisa', '95D60033', '4312E666', '428E999A', '42C786D4', 'BF3B3A04', '00000000', '00000000', 'BF2E976C'),
	(32, 'Teletown - Oolutanga\'s Refuge', 'Oolutanga\'s Refuge', 'F6820033', '4311B333', '42476B85', '4268051F', 'BEEF61ED', '00000000', '00000000', 'BF624BDC'),
	(33, 'Teletown - Plateau Village', 'Plateau Village', '49B70021', '42C83333', '41A66666', '436E9D03', 'BF167914', '00000000', '00000000', 'BF4F1BBD'),
	(34, 'Teletown - Qalaba\'r', 'Qalaba\'r', '9722003A', '43285AA0', '41C4F1AA', '42CC0290', 'BF6C3BF7', '00000000', '00000000', 'BEC5464E'),
	(35, 'Teletown - Redspire', 'Redspire', '17B2002A', '43049F7D', '41CE78D5', '4230051F', '3F7F9C95', '00000000', '00000000', 'BD6189BE'),
	(36, 'Teletown - Rithwic', 'Rithwic', 'C98C0028', '42E354CA', '433E424E', '41B00A3D', 'BF3504F7', '00000000', '00000000', 'BF3504F7'),
	(37, 'Teletown - Samsur', 'Samsur', '977B000C', '41CE7CEE', '4293B4BC', '3BA3D70A', '3F6E1134', '00000000', '00000000', 'BEBC4157'),
	(38, 'Teletown - Sawato', 'Sawato', 'C95B0001', '416CCCCD', '3E99999A', '4140147A', '3F6E2FE0', '00000000', '00000000', 'BEBBA605'),
	(39, 'Teletown - Shoushi', 'Shoushi', 'DA55001D', '42A9999A', '42C60000', '41A00A3D', '3F800000', '00000000', '00000000', '00000000'),
	(40, 'Teletown - Singularity Caul', 'Singularity Caul Island', '09040008', '41366666', '433C999A', '42AF0B18', 'BF7F1077', '00000000', '00000000', 'BDAEEF1C'),
	(41, 'Teletown - Stonehold', 'Stonehold', '64D5000B', '41F00000', '42480000', '429C0290', '3F57E879', '00000000', '00000000', 'BF098C7E'),
	(42, 'Teletown - Timaru', 'Timaru', '1DB60025', '42C50000', '42C43333', '42F00290', '3F4F5EEA', '00000000', '00000000', 'BF161C7A'),
	(43, 'Teletown - Tou-Tou', 'Tou-Tou', 'F65C002B', '42FCC625', '42589687', '41A00A3D', '3F6DBBAE', '00000000', '00000000', 'BEBDEFE9'),
	(44, 'Teletown - Tufa', 'Tufa', '876C0008', '40000000', '433AE666', '41900A3D', 'BF3504F7', '00000000', '00000000', 'BF3504F7'),
	(45, 'Teletown - Underground City', 'Underground City', '01E901AD', '42F00000', 'C3020000', 'C13FEB86', 'BF36E47E', '00000000', '00000000', 'BF332064'),
	(46, 'Teletown - Uziz', 'Uziz', 'A260003C', '4336EB44', '42AFDE35', '41A00A3D', 'BEBA17D3', '00000000', '00000000', 'BF6E7DED'),
	(47, 'Teletown - Wai Jhou', 'Wai Jhou', '3F31001F', '42A6334D', '431C310A', '4031EC53', '3F0A3AD2', '00000000', '00000000', '3F577910'),
	(48, 'Teletown - Xarabydun', 'Xarabydun', '934B0021', '42D899D2', '40C32B22', '4191273D', 'BF76ED35', '00000000', '00000000', 'BE871A5D'),
	(49, 'Teletown - Yanshi', 'Yanshi', 'B46F001E', '42966666', '42F83333', '420AC0DB', '3F800000', '00000000', '00000000', '00000000'),
	(50, 'Teletown - Yaraq', 'Yaraq', '7D64000D', '41FF3333', '42D13333', '413F258C', '3F13BFC6', '00000000', '00000000', 'BF510F73'),
	(51, 'Teletown - Zaikhal', 'Zaikhal', '80900013', '4281B9DB', '425EBF7D', '42F80290', 'BF6E0CBF', '00000000', '00000000', 'BEBC57C1'),
	(52, 'Teletown - Eastwatch', 'Eastwatch', '49F00023', '42d80000', '42700000', '432a0000', '3f800000', '00000000', '00000000', '00000000'),
	(53, 'Teletown - Westwatch', 'Westwatch', '23DA002B', '430535c3', '428ce148', '4000a3d7', 'bf7d70a4', '00000000', '00000000', '00000000'),
	(54, 'Teletown - Silyun', 'Silyun', '27EC0015', '42700000', '42d80000', '42a0051f', '3f800000', '00000000', '00000000', '00000000'),
	(55, 'Teletown - Sanamar', 'Sanamar', '33D9000B', '423b51ec', '42687ae1', '42500a3d', '3f800000', '00000000', '00000000', '3f800000'),
	(56, 'Teletown - Merwart Village', 'Merwart Village', 'C9E3000B', '42100000', '2700000', '41600000', '3f800000', '00000000', '00000000', 'bf800000'),
	(57, 'Teletown - Fiun Outpost', 'Fiun Outpost', '38F7001A', '42a0e666', '41fce148', '3faf5c29', '00000000', '00000000', '00000000', '3f800000'),
	(58, 'Teletown - Kor-Gursha', 'Kor-Gursha', '009C0247', '43200000', 'c28c0000', 'c1900000', '3f800000', '00000000', '00000000', 'bf800000'),
	(59, 'Teletown - Mar\'uun', 'Mar\'uun', '880401C4', '42200000', 'c3020000', 'c3700000', '3f800000', '00000000', '00000000', '00000000');
